--- a/Makefile	2021-04-17 13:46:36.321270501 +0200
+++ b/Makefile	2021-04-17 13:47:26.019424556 +0200
@@ -2,10 +2,10 @@
 
 all::
-	make documentation
-	make accelerator
-	make libraries
-	make symlinks
-	make precompile
+	$(MAKE) documentation
+	$(MAKE) accelerator
+	$(MAKE) libraries
+	$(MAKE) symlinks
+	$(MAKE) precompile
 
 documentation::
 	rm -f doc/autodoc.tmp
--- a/libraries/extos/Makefile	2013-03-13 21:49:19.710360750 +0100
+++ b/libraries/extos/Makefile	2013-03-13 21:49:47.778096460 +0100
@@ -1,7 +1,7 @@
 include ../../Makefile.options
 
 extos.so: extos.o
-	$(LD) $(LDFLAGS) -lrt -lcrypt -o extos.$(SLIB_EXT) extos.o 
+	$(LD) $(LDFLAGS) -o extos.$(SLIB_EXT) extos.o -lrt -lcrypt $(LUALIBS)
 
 extos.o: extos.c
 	$(CC) -c $(CFLAGS) -o extos.o extos.c
--- a/libraries/json/Makefile	2021-04-17 16:57:48.351876836 +0200
+++ b/libraries/json/Makefile	2021-04-17 16:58:27.806190853 +0200
@@ -1,7 +1,7 @@
 include ../../Makefile.options
 
 json.so: json.o
-	$(LD) $(LDFLAGS) -o json.$(SLIB_EXT) json.o
+	$(LD) $(LDFLAGS) -o json.$(SLIB_EXT) json.o $(LUALIBS)
 
 json.o: json.c
 	$(CC) -c $(CFLAGS) -o json.o json.c
--- a/libraries/mondelefant/Makefile	2013-03-13 21:52:54.884250479 +0100
+++ b/libraries/mondelefant/Makefile	2013-03-13 21:53:27.511932686 +0100
@@ -1,7 +1,7 @@
 include ../../Makefile.options
 
 mondelefant_native.so: mondelefant_native.o
-	$(LD) $(LDFLAGS) $(LDFLAGS_PGSQL) -o mondelefant_native.$(SLIB_EXT) mondelefant_native.o -lpq
+	$(LD) $(LDFLAGS) $(LDFLAGS_PGSQL) -o mondelefant_native.$(SLIB_EXT) mondelefant_native.o -lpq $(LUALIBS)
 
 mondelefant_native.o: mondelefant_native.c
 	$(CC) -c $(CFLAGS) $(CFLAGS_PGSQL) -o mondelefant_native.o mondelefant_native.c
--- a/libraries/multirand/Makefile	2013-03-13 21:54:29.399328173 +0100
+++ b/libraries/multirand/Makefile	2013-03-13 21:54:58.019048434 +0100
@@ -1,7 +1,7 @@
 include ../../Makefile.options
 
 multirand.so: multirand.o
-	$(LD) $(LDFLAGS) -o multirand.$(SLIB_EXT) multirand.o
+	$(LD) $(LDFLAGS) -o multirand.$(SLIB_EXT) multirand.o $(LUALIBS)
 
 multirand.o: multirand.c
 	$(CC) -c $(CFLAGS) -o multirand.o multirand.c
--- a/framework/accelerator/Makefile	2021-04-17 18:36:56.402722612 +0200
+++ b/framework/accelerator/Makefile	2021-04-17 18:37:08.605513867 +0200
@@ -1,7 +1,7 @@
 include ../../Makefile.options
 
 webmcp_accelerator.so: webmcp_accelerator.o
-	$(LD) $(LDFLAGS) -o webmcp_accelerator.$(SLIB_EXT) webmcp_accelerator.o
+	$(LD) $(LDFLAGS) -o webmcp_accelerator.$(SLIB_EXT) webmcp_accelerator.o $(LUALIBS)
 
 webmcp_accelerator.o: webmcp_accelerator.c
 	$(CC) -c $(CFLAGS) -o webmcp_accelerator.o webmcp_accelerator.c
